# Class BannerItem

Namespace
  adas_core.Domain.Models.MongoModels

Assembly
  adas-core.Domain.dll

Represents a banner item, typically used to encapsulate data related to a banner display element such as a notification, advertisement, or promotional content.

    public class BannerItem

Inheritance
  object
  BannerItem

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Config

    public BannerItemConfig? Config { get; set; }

#### Property Value

BannerItemConfig

### GrowPriority

    public double GrowPriority { get; set; }

#### Property Value

double

### Type

    public DisplayConfigEnums.BannerType? Type { get; set; }

#### Property Value

DisplayConfigEnums.BannerType?